> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> List accounts

### Query parameters

<ParamField query="account_type" type="string">
  One of `asset`, `liability`, `equity`, `revenue`, `expense`.
</ParamField>

<ParamField query="status" type="string">
  One of `active`, `inactive`, `archived`.
</ParamField>

<ParamField query="search" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="GlAccountListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/gl/accounts' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "accounts": [
      {
        "account_number": "string",
        "account_sub_type": null,
        "account_type": "string",
        "created_at": "string",
        "currency": "string",
        "current_balance": "string",
        "description": null,
        "id": "string",
        "is_header": true,
        "is_posting": true,
        "name": "string",
        "normal_balance": "string",
        "parent_account_id": null,
        "status": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
